Skip to main content

Evaluate customer and return installment options

POST 

/partner/pre-loan-request/bnpl

Evaluates a customer for a purchase amount at a given merchant and, when the customer is accepted, returns the available installment options.

The preApproveId returned is valid for 14 days and is used to create the loan request (Create a loan request) and the widget token (Obtain a widget token for initialization).

A rejected evaluation is not an error: it returns 201 with accepted: false.

Request​

Responses​

Evaluation completed. Check accepted to know whether the customer was approved.